
eventrecsize: eventrecsize.adb
	gnatmake -O3 -gnaty -gnatnfvU $@  -I..

test_enumerations: test_enumerations.adb
	gnatmake -O3 -gnaty -gnatnfvU $@  -I..

test_endianess: test_endianess.adb
	gnatmake -O3 -gnaty -gnatnfvU $@  -I..

clean:
	rm -f *.o *.ali

cleandist: clean
	rm -f test_enumerations test_endianess eventrecsize 
